# $Revision: 1.7 $, $Date: 2002/02/25 04:56:29 $
%include	/usr/lib/rpm/macros.perl
%define	rname	acl
Summary:	Advanced Color Logs
Summary(pl):	Advanced Color Logs - program kolorujcy logi
Name:		advcl
Version:	0.7.0
Release:	3
License:	GPL
Group:		Applications/Console
Source0:	http://spyjurenet.com/linuxrc.org/projects/acl/%{rname}-%{version}.tar.gz
Patch0:		%{name}-config.patch
URL:		http://spyjurenet.com/linuxrc.org/projects/acl/
BuildRequires:	perl-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
acl is a perl script that colorizes system logs. Inspired by
ColorLogs, acl (Advanced Color Logs) has advanced parsing
capabilities.

%description -l pl
acl to skrypt napisany w perlu, kolorujcy logi systemowe.
Zainspirowany programem ColorLogs, acl (Advanced Color Logs) posiada
bardziej rozbudowane moliwoci parsowania.

%prep
%setup -q -n %{rname}-%{version}
%patch -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}

install acl.pl   $RPM_BUILD_ROOT%{_bindir}/acl
install acl.conf $RPM_BUILD_ROOT%{_sysconfdir}

gzip -9nf README NEWS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {README,NEWS,TODO}.gz
%attr(755,root,root) %{_bindir}/acl
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/acl.conf

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: advcl.spec,v $
Revision 1.7  2002/02/25 04:56:29  kloczek
- release 3.

Revision 1.6  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/05/22 18:55:31  kloczek
- autogenerate perl dependences.

Revision 1.2  2001/05/22 18:35:53  blues
- Release 2
- added perl-modules
STB

Revision 1.1  2001/05/01 21:08:13  misiek
renamed to avoid conflict with acl.spec from XFS

Revision 1.8  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.7  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.4  2000/01/20 17:52:24  kloczek
- updated to 0.7.0.

Revision 1.3  1999/09/15 18:00:18  kloczek
- BuildArch changed to noarch (this package contain only perl script).

Revision 1.2  1999/09/15 17:14:05  kloczek
- added noreplace parameter and %verify rule to %config file.

Revision 1.1  1999/09/15 12:46:49  pius
- initial rpm release
